#clock

#effect
effect give @a[tag=!hg] minecraft:saturation 21 0 true
effect give @a[team=!oni] minecraft:weakness 1 127 true
effect give @a minecraft:resistance 1 3 true
effect give @a minecraft:instant_health 21 0 true
effect give @a[team=cuse] minecraft:blindness 2 0 true
execute if score tick count matches 3.. run effect give @a[team=cuse] minecraft:invisibility 2 0 true
execute if entity @a[team=cuse] run clear @a[team=cuse]
execute positioned 49.00 11.00 82.0 run effect give @a[distance=..1.25,team=oni] minecraft:jump_boost 1 5 false


#----------------------------------------------------------------------------------------------------------------------------

#ambient-remove
scoreboard players remove ambient count 1


#function
execute as @a[scores={attack=0..},team=oni] run function cmdata:command/attack
function cmdata:command/bossbar
function cmdata:command/step
function cmdata:command/fire
execute if entity @a[scores={stun=1..}] run function cmdata:command/stun
execute if entity @a[tag=hg] run function cmdata:command/hg
function cmdata:command/itemsummon
execute if score gameset count matches 1.. run function cmdata:command/gameset
execute as @a[scores={work=1..}] at @s run function cmdata:command/work
execute as @a[scores={heal=1..}] at @s run function cmdata:command/heal
execute as @a[scores={sneak=1},tag=!sneak] run function cmdata:command/use
execute if score game count matches 0 run function cmdata:command/ender


execute if score @a[team=oni,limit=1] wither matches 0 run function cmdata:command/wither/wskeleton
execute if score @a[team=oni,limit=1] wither matches 1 run function cmdata:command/wither/ender
execute if score @a[team=oni,limit=1] wither matches 2 run function cmdata:command/wither/creeper
execute if score @a[team=oni,limit=1] wither matches 3 run function cmdata:command/wither/ohana
execute if score @a[team=oni,limit=1] wither matches 4 run function cmdata:command/wither/pumpkin
execute if score @a[team=oni,limit=1] wither matches 5 run function cmdata:command/wither/zombie
execute if score @a[team=oni,limit=1] wither matches 6 run function cmdata:command/wither/mushroom

#mtimeclear
execute as @a if entity @s[scores={mtime=-1..}] unless entity @s[team=nige,nbt={Inventory:[{Slot:103b,id:"minecraft:red_mushroom"}]}] run scoreboard players reset @s mtime


#particle
execute as @a[tag=hg] at @s run particle minecraft:falling_dust minecraft:black_concrete ~ ~1 ~ 0.5 0.5 0.5 0 1 force @a

#player-count
scoreboard players set #count list 0
execute as @a[team=nige,gamemode=adventure] run scoreboard players add #count list 1
execute store result score §a残り人数 list run scoreboard players get #count list 

execute if score §a残り人数 list matches 0 if score game count matches 1 run scoreboard players set game count 2
execute if score game count matches 2 run scoreboard players add gameset count 1

#help
execute if score help count matches 1 as @a at @s at @e[tag=itemA,distance=..5] anchored eyes positioned ^ ^-0.35 ^-0.2 run particle minecraft:dust 1 0 0 0.5 ~ ~ ~ 0.05 0.1 0.05 1 1 normal @s

#start
execute positioned 49.00 12.0 82.0 if entity @a[distance=..2] if score start count matches 1 as @a at @s run playsound entity.wither.ambient ambient @s ~ ~ ~ 3 0.75
execute positioned 49.00 12.0 82.0 if entity @a[distance=..2] if score start count matches 1 run scoreboard players set @a[team=oni] stun 0
execute positioned 49.00 12.0 82.0 if entity @a[distance=..2] if score start count matches 1 run fill 47 15 91 48 17 91 minecraft:nether_brick_wall[east=true,south=true,west=true,north=true]
execute positioned 49.00 12.0 82.0 if entity @a[distance=..2] if score start count matches 1 positioned 48.0 15.5 91.5 as @a[distance=..2] run tp @s 48.00 15.00 89.0
execute positioned 49.00 12.0 82.0 if entity @a[distance=..2] if score start count matches 1 run scoreboard players set start count 0

#----------------------------------------------------------------------------------------------------------------------------

scoreboard players add tick count 1
execute if score tick count matches 20.. if score Stime count matches 1.. run scoreboard players remove Stime count 1
execute if score tick count matches 20.. run effect clear @a[team=cuse] minecraft:invisibility
execute if score tick count matches 20.. run scoreboard players set tick count 0

#actionbar
execute as @a[team=cuse] at @s unless entity @a[team=nige,distance=..3] run title @s actionbar {"text":"\u30b7\u30d5\u30c8\u3067\u5473\u65b9\u306e\u65b9\u5411\u3092\u78ba\u8a8d","color":"red"}

execute as @a[team=nige] at @s if entity @e[distance=..2,tag=pic] at @e[tag=pic,distance=..2] if block ~ ~ ~ air unless entity @s[scores={sneak=0..}] run title @s actionbar {"text":"\u30b7\u30d5\u30c8\u3067\u958b\u9320","color":"red"}

execute as @a[team=nige] if entity @s[scores={mtime=-1..}] unless entity @s[scores={sneak=0..}] run title @s actionbar {"text":"\u30b7\u30d5\u30c8\u3067\u6cbb\u7642","color":"red"}
execute as @a[team=nige] unless entity @s[scores={mtime=-1..}] at @s if entity @e[distance=..2,team=cuse] unless entity @s[scores={sneak=0..}] run title @s actionbar {"text":"\u30b7\u30d5\u30c8\u3067\u8607\u751f","color":"red"}

#oni
execute as @a[team=oni] if entity @s[nbt={Inventory:[{id:"minecraft:wither_rose"}]}] run tellraw @a[team=oni] ["",{"text":"\u9ed2\u8594\u8587\u3092\u7372\u5f97\uff1a","color":"yellow"},{"text":"+30","color":"red"}]
execute as @a[team=oni] if entity @s[nbt={Inventory:[{id:"minecraft:wither_rose"}]}] run scoreboard players add count wpoint 30
execute as @a[team=oni] if entity @s[nbt={Inventory:[{id:"minecraft:wither_rose"}]}] run clear @s minecraft:wither_rose 1

#ambient
execute if score ambient count matches ..0 run function cmdata:random/random
execute if score ambient count matches ..0 run scoreboard players operation count random %= #100 random
execute if score ambient count matches ..0 run scoreboard players add count random 100
execute if score ambient count matches ..0 run scoreboard players operation ambient count = count random


#door
execute as @a[team=oni] at @s at @e[distance=..2.5,tag=pic,tag=!unlock] run setblock ~ ~ ~ minecraft:redstone_torch
execute at @e[tag=pic,tag=!unlock] unless entity @a[team=oni,distance=..2.5] run setblock ~ ~ ~ minecraft:air

#particle
execute as @a[team=cuse] at @s[scores={sneak=0..}] anchored eyes facing entity @a[team=nige,gamemode=adventure] eyes run particle minecraft:dust 0 1 0 0.15 ^ ^ ^0.3 0 0 0 0 1 force @s

execute if score §8§l黒薔薇 list matches 1.. positioned 9.0 18.0 44.0 run particle minecraft:dust 0 0 0 0.5 ~ ~ ~ 0.75 0.75 0.25 0 5 normal
execute if score §8§l黒薔薇 list matches 1.. positioned -27.75 16.5 33.00 run particle minecraft:dust 0 0 0 0.5 ~ ~ ~ 0.25 1 0.75 0 5 normal
execute if score §8§l黒薔薇 list matches 1.. if score start count matches 0 positioned 48.00 16.50 91.5 run particle minecraft:dust 0 0 0 0.5 ~ ~ ~ 0.75 1 0.35 0 5 normal
#----------------------------------------------------------------------------------------------------------------------------

#gc
execute positioned 7.69 15.35 25.00 align xyz as @a[dx=3,dy=3,dz=0,team=nige,gamemode=adventure] run tag @s add gc
execute positioned 7.69 15.35 25.00 align xyz as @a[dx=3,dy=3,dz=0,tag=hg] at @s run tp @s ~ ~ ~2

execute positioned 45 15 92 align xyz as @a[dx=5,dy=5,dz=0,team=nige,gamemode=adventure] run tag @s add gc
execute positioned 45 15 92 align xyz as @a[dx=5,dy=5,dz=0,tag=hg] at @s run tp @s ~ ~ ~-2

execute if entity @a[tag=gc] as @a[tag=gc] at @s run playsound entity.illusioner.prepare_mirror ambient @s ~ ~ ~ 3 0
execute if entity @a[tag=gc] as @a[tag=gc] run title @s title {"text":"- \u8131\u51fa -","bold":true,"color":"yellow"}
execute if entity @a[tag=gc] as @a[tag=gc] run tellraw @a ["",{"selector":"@s","color":"green"},{"text":"\u304c\u8131\u51fa\u3057\u305f","color":"green"}]
execute if entity @a[tag=gc] as @a[tag=gc] run title @s times 20 100 20
execute if entity @a[tag=gc] as @a[tag=gc] run gamemode spectator @s
execute if entity @a[tag=gc] as @a[tag=gc] at @s run particle minecraft:dust 0 0 0 1 ~ ~1 ~ 0.5 0.5 0.5 1 100 force
execute if entity @a[tag=gc] as @a[tag=gc] run tag @s remove gc

#kill
#execute as @e[type=item] unless entity @s[nbt={PickupDelay:32767s}] run data merge entity @s {PickupDelay:32767s}
#execute if entity @e[type=item,nbt={OnGround:1b}] run kill @e[type=item,nbt={OnGround:1b}]
execute if entity @e[type=arrow,nbt={inGround:1b}] run kill @e[type=arrow,nbt={inGround:1b}]
execute if entity @e[type=experience_orb] run kill @e[type=experience_orb]
execute if entity @e[type=item,nbt={Item:{tag:{ender:1b}}}] run kill @e[type=item,nbt={Item:{tag:{ender:1b}}}]

#fb
execute if entity @e[nbt={Time:599}] run data merge entity @e[tag=fb,limit=1] {Time:1}


#item
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s run playsound entity.item.pickup ambient @a ~ ~ ~ 0.5 2
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=totem] run scoreboard players add totem count 1
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=fire] run scoreboard players add fire count 1
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=wood] run scoreboard players add wood count 1
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=rose] run scoreboard players add rose count 1
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=ladder] run scoreboard players add ladder count 1
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=lily] run scoreboard players add lily count 1
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=string] run scoreboard players add string count 1
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=corn] run scoreboard players add corn count 1
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] if entity @s[tag=orchid] run scoreboard players add orchid count 1

execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] at @s[tag=infect] positioned ~ ~1.5 ~ as @a[limit=1,sort=nearest,team=nige,distance=..6] unless entity @s[scores={mtime=0..}] at @s run playsound entity.zombie.infect ambient @a ~ ~ ~ 3 0.75
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] at @s[tag=infect] positioned ~ ~1.5 ~ as @a[limit=1,sort=nearest,team=nige,distance=..6] unless entity @s[scores={mtime=0..}] at @s run tellraw @a ["",{"selector":"@s","color":"red"},{"text":"\u304c\u611f\u67d3\u3057\u305f","color":"red"}]
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s as @e[tag=itemA,limit=1,sort=nearest] at @s[tag=infect] positioned ~ ~1.5 ~ as @a[limit=1,sort=nearest,team=nige,distance=..6] unless entity @s[scores={mtime=0..}] run replaceitem entity @s armor.head minecraft:red_mushroom{display:{Name:"{\"text\":\"キノコ\",\"color\":\"dark_purple\",\"bold\":true,\"italic\":false}",Lore:["{\"text\":\"感染中\",\"color\":\"dark_red\",\"italic\":false}"]},HideFlags:1,Enchantments:[{id:"minecraft:binding_curse",lvl:1s}]}
execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] at @s run kill @e[tag=itemA,limit=1,sort=nearest]

execute as @e[tag=itemB] unless entity @s[nbt={ArmorItems:[{},{},{Count:1b},{}]}] run kill @s

#score
execute as @a[scores={run=0..}] run scoreboard players reset @s run
execute as @a[scores={attack=0..}] run scoreboard players reset @s attack
execute as @a[scores={damage=0..}] run scoreboard players reset @s damage
execute if entity @a[scores={sneak=0..}] run function cmdata:command/sneak

